Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
osmium::thread::function_wrapper::impl_type< F > Struct Template Reference
Inheritance diagram for osmium::thread::function_wrapper::impl_type< F >:
[legend]
Collaboration diagram for osmium::thread::function_wrapper::impl_type< F >:
[legend]

## Public Member Functions
| impl_type (F &&functor)
bool | call () override
Public Member Functions inherited from osmium::thread::function_wrapper::impl_base
| impl_base () noexcept=default
| impl_base (const impl_base &) noexcept=default
impl_base & | operator= (const impl_base &) noexcept=default
| impl_base (impl_base &&) noexcept=default
impl_base & | operator= (impl_base &&) noexcept=default
virtual | ~impl_base () noexcept=default

## Public Attributes
F | m_functor

## Constructor & Destructor Documentation

## ◆ impl_type()

template<typename F >

osmium::thread::function_wrapper::impl_type< F >::impl_type | ( | F && | functor | ) |
| inline explicit

## Member Function Documentation

## ◆ call()

template<typename F >

bool osmium::thread::function_wrapper::impl_type< F >::call | ( |  | ) |
| inline override virtual

Reimplemented from osmium::thread::function_wrapper::impl_base.

## Member Data Documentation

## ◆ m_functor

template<typename F >

F osmium::thread::function_wrapper::impl_type< F >::m_functor

The documentation for this struct was generated from the following file:

- include/osmium/thread/function_wrapper.hpp